=== themes/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Laurent Montel <montel@kde.org>
# SPDX-FileCopyrightText: 2007, 2009 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2009 Miika Turkia <miika.turkia@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory( blue )
add_subdirectory( rounded )
add_subdirectory( grey )
add_subdirectory( dark )
add_subdirectory( darkJS )
add_subdirectory( picBelow )
