=== themes/darkJS/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2009-2010 Miika Turkia <miika.turkia@gmail.com>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    download.png
    slideshow.gif
    slideshow2.gif
    arrow-left.png
    arrow-left2.png
    arrow-right.png
    arrow-right2.png
    close.png
    imagepage.html
    kphotoalbum.theme
    mainpage.html
    navigation.js
    display.js
    style.css
    ie.css
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/darkJS"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
