=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 #
 # SPDX-License-Identifier: BSD-3-Clause
 
-find_package(KF6 REQUIRED DocTools)
 kdoctools_create_handbook(index.docbook INSTALL_DESTINATION "${KDE_INSTALL_DOCBUNDLEDIR}/en" SUBDIR kphotoalbum)
 
 # vi:expandtab:tabstop=4 shiftwidth=4:
