=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2007 Laurent Montel <montel@kde.org>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Pino Toscano <pino@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

# Note: Application icons should always be installed by the application itself:
# https://specifications.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#install_icons

include(ECMInstallIcons)
add_subdirectory(global)

# vi:expandtab:tabstop=4 shiftwidth=4:
