=== demo/CategoryImages/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Laurent Montel <montel@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    Keywords-scenic.jpg
    Places-Grand_Canyon.jpg
    Places-Skagen.jpg
    People-Anne_Helene.jpg
    People-Blackie.jpg
    People-Donna.jpg
    People-Jesper.jpg
    People-Jim.jpg
    People-Spiff.jpg
    People-Wayne.jpg
    People-Pets.jpg
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/demo/CategoryImages"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
