=== icons/global/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Pino Toscano <pino@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

ecm_install_icons(
    ICONS
    16-actions-open-raw.png
    22-actions-open-raw.png
    48-actions-open-raw.png
    64-actions-open-raw.png
    16-apps-kphotoalbum.png
    22-apps-kphotoalbum.png
    32-apps-kphotoalbum.png
    48-apps-kphotoalbum.png
    64-apps-kphotoalbum.png
    sc-apps-kphotoalbum.svg
    DESTINATION
    ${KDE_INSTALL_ICONDIR}
    )
# vi:expandtab:tabstop=4 shiftwidth=4:
