=== debian/changelog ===
kphotoalbum (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_8230d780_Fix-potential-crash-with-corrupted-xml-file.patch:
      drop, backported from upstream
    - upstream_9aa361db_Fix-potential-crash-if-DateBarWidget-isn-t-[...].patch:
      drop, backported from upstream
  * Update build dependencies according to the upstream build system:
    - bump cmake to 3.30.0
    - add libkf6colorscheme-dev
    - set the common KF version for libkf6doctools-dev
  * Concatenate all the keys in debian/upstream/signing-key.asc.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 06:57:49 +0200

kphotoalbum (6.0.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Add the libkdcrawqt6-dev build dependency to enable the support for RAW
    files.
  * Properly make the test suite as non-fatal on any big-endian or 32bit
    architecture.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Sep 2025 18:34:27 +0200
