=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/kphotoalbum/([\d\.]+)/kphotoalbum-([\d\.]+)\.tar\.xz
