## kphotoalbum 6.1.0+p24.04+vstable+git20251019.0635

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20251019.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:36:04 +0000

kphotoalbum (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 17:32:37 +0000

kphotoalbum (6.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Jan 2025 17:32:50 +0000

kphotoalbum (6.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 08 Dec 2024 17:33:19 +0000

kphotoalbum (5.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 17:35:08 +0000

kphotoalbum (5.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 26 Nov 2023 17:32:36 +0000

kphotoalbum (5.11.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 26 Mar 2023 17:32:21 +0000
