## kphotoalbum 6.1.0+p24.04+vstable+git20251021.0337

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
     TYPE OPTIONAL
     PURPOSE "Enables RAW image support"
     )
-set(HAVE_KDCRAW ${KF6KDcraw_FOUND})
+set(HAVE_KDCRAW ${KDcrawQt6_FOUND})
 
 configure_file(kpabase/config-kpa-kdcraw.h.in "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-kdcraw.h")
 configure_file(kpabase/config-kpa-plugins.h.in "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-plugins.h")
