=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20251021.0337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:37:59 +0000
