=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20251031.1113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 11:13:45 +0000
