## kphotoalbum 6.1.0+p24.04+vstable+git20260103.0020

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,7 +63,7 @@
 
 ########### dependencies  ###############
 
-find_package(Qt6 ${MINIMUM_QT6_VERSION} REQUIRED COMPONENTS Core Sql Xml Widgets DBus Test)
+find_package(Qt6 ${MINIMUM_QT6_VERSION} REQUIRED COMPONENTS Core Sql Xml Widgets DBus Test Multimedia MultimediaWidgets)
 find_package(Phonon4Qt6)
 find_package(LIBVLC)
 find_package(KF6 ${MINIMUM_KF6_VERSION} REQUIRED COMPONENTS Archive Completion Config CoreAddons I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons ColorScheme DocTools)
@@ -95,10 +95,6 @@
     PURPOSE "Enables support for geographic map location using embedded GPS information."
     )
 set(HAVE_MARBLE ${Marble_FOUND})
-
-if(NOT Phonon4Qt6_FOUND AND NOT LIBVLC_FOUND)
-    message(FATAL_ERROR "A video backend must be provided. CMake failed to find any of Phonon and VLC")
-endif()
 
 set(libdatebar_SRCS
     "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/documentation.h"
@@ -238,3 +234,5 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.h"
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.cpp"
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.h"
+    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Slider.cpp"
+    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Slider.h"
