## kphotoalbum 6.1.0+p24.04+vstable+git20260203.0908

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20260203.0908-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:08:25 +0000
