=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20260210.0122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 10 Feb 2026 01:23:05 +0000
