## kphotoalbum 6.1.0+p24.04+vunstable+git20251009.1051

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vunstable+git20251009.1051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 10:51:57 +0000
