=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
                pkg-kde-tools-neon,
                pkgconf,
                qt6-base-dev,
-               qt6-multimedia-dev,
                qt6-phonon-dev,
                qt6-webengine-dev
 Standards-Version: 4.6.2
