## kphotoalbum 6.1.0+p24.04+vunstable+git20251020.0017

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vunstable+git20251020.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:18:00 +0000
