## kphotoalbum 6.1.0+p24.04+vunstable+git20251201.0015

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vunstable+git20251201.0015-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 00:16:02 +0000
