=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vunstable+git20251202.2242-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:43:01 +0000
